/*     LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.    */
/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2016_HOUSEHOLD_REGISTER_DFILE_Longitudinal_EN_DELIMITED.dct, clear
/*
label define  db020_cl1 AT   "sterreich" BE   "Belgique/Belge" BG   "Bulgaria" CH   "Switzerland" CY   "Cyprus" CZ   "Czech republic" DE   "Deutschland" DK   "Denmark" EE   "Estonia" EL   "Ellda" ES   "Espaa" FI   "Suomi" FR   "France" HR   "Croatia" HU   "Hungary" IE   "Ireland" IS   "Iceland" IT   "Italia" LT   "Lithuania" LU   "Luxembourg" LV   "Latvia" ME   "Montenegro" MK   "The Former Yugoslav Republic of Macedonia (FYROM)" MT   "Malta" NL   "Nederland" NO   "Norway" PL   "Poland" PT   "Portugal" RO   "Romania" RS   "Serbia" SE   "Sverige" SI   "Slovenia" SK   "Slovak republic" TR   "Turkey" UK   "United Kingdom"  
label define  db040_cl3 ITC   "Northwest Italy" ITF   "Northeast Italy" ITG   "Central Italy" ITH   "South Italy" ITI   "Insular Italy"  
label define  db040_f_cl4 1   "filled" -1   "Missing"  
label define  db060_f_cl6 1   "Rotation is implemented at PSU level (the PSU rotates in and out of the sample)" 2   "Rotation is implemented at SSU or household level (The PSU remains in the sample for the entire duration of EU-SILC)" -2   "Not applicable (no first or second sampling stage)"  
label define  db062_f_cl8 1   "Rotation is implemented at PSU level (the PSU rotates in and out of the sample)" 2   "Rotation is implemented at SSU or household level (The PSU remains in the sample for the entire duration of EU-SILC)" -2   "Not applicable (no first or second sampling stage)"  
label define  db070_f_cl10 1   "filled" -2   "not applicable"  
label define  db075_f_cl12 1   "filled" -2   "na (no rotational design is used)"  
label define  db095_f_cl14 1   "filled" -2   "Not applicable (DB110 equal 9) and DB010 = last year"  
label define  db100_cl15 1   "densely populated area" 2   "intermediate area" 3   "thinly populated area"  
label define  db100_f_cl16 1   "filled" -1   "missing (from wave 2 onwards)"  
label define  db110_cl17 1   "At the same address as last interview" 2   "Entire household moved to a private household within the country Household no longer in-scope" 3   "Entire household moved to a collective household or institution within the country" 4   "Household moved outside the country" 5   "Entire household died" 6   "Household does not contain sample person Address non-contacted" 7   "Address non-contacted unable to access lost-no information on record on what happened to the household New household for this wave" 8   "Split-off household" 9   "New address added to the sample this wave or first wave" 10   "Fusion" 11   "Lost household (no information on record on what happened to the household)"  
label define  db110_f_cl18 1   "filled"  
label values  db020 db020_cl1
label values  db040 db040_cl3
label values  db040_f db040_f_cl4
label values  db060_f db060_f_cl6
label values  db062_f db062_f_cl8
label values  db070_f db070_f_cl10
label values  db075_f db075_f_cl12
label values  db095_f db095_f_cl14
label values  db100 db100_cl15
label values  db100_f db100_f_cl16
label values  db110 db110_cl17
label values  db110_f db110_f_cl18
*/
save  EUSILC_A2016_HOUSEHOLD_REG.dta, replace
